package com.plannaplan.repositories;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringRunner;

import static org.junit.Assert.assertTrue;

import com.plannaplan.entities.Assignment;
import com.plannaplan.entities.Commision;
import com.plannaplan.entities.Groups;
import com.plannaplan.entities.User;
import com.plannaplan.services.AssignmentService;
import com.plannaplan.services.CommisionService;
import com.plannaplan.services.GroupService;
import com.plannaplan.services.UserService;
import com.plannaplan.types.UserRoles;
import com.plannaplan.types.WeekDay;

import org.junit.Test;

import org.junit.runner.RunWith;

@RunWith(SpringRunner.class)
@SpringBootTest
@ContextConfiguration
public class GroupRepositoryTest {
    @Autowired
    private GroupRepository repository;
    @Autowired
    private AssignmentService assignmentService;
    @Autowired
    private GroupService groupService;
    @Autowired
    private UserService userService;

    @Autowired
    private CommisionService commisionService;

    @Test
    public void shouldReturnGroupAssignmentTimes() {
        final Groups testGroup = groupService.save(new Groups(43, "A-41", null, 235, WeekDay.MONDAY, null));
        final User user = this.userService.save(
                new User("Luis", "Vita", "shouldReturnGroupAssignmentTimes@grouprepository.test", UserRoles.STUDENT));
        final Commision commision = this.commisionService.save(new Commision(user));
        this.assignmentService.save(new Assignment(testGroup, commision));

        System.out.println(this.repository.getAssignedAmount(testGroup.getId()));
        assertTrue(false);
    }
}
